Bug 126004 - System bootup hangs at "Checking for new hardware"
System bootup hangs at "Checking for new hardware"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On: 125943
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-15 00:33 EDT by Michael Torain
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:32:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Torain 2004-06-15 00:33:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
After installation of Fedora Core 2 (2.6.5-1.358) the initial system
bootup (reboot after install) hangs at "Checking for new hardware".
Installation would hang at "Loading usb-storage device..." unless
"boot: linux nousb" or "boot: linux nousbstorage" was initially entered.

Possibly related to: 125995, 121859, and 106752.

hardware: Dell 4100, 800MHz.

This also happens (though very rarely) on a near identical Dell 4100
(the difference being the 1GHz processor) running Red Hat EL 3.0. A
reboot will get past this point with RHEL.

1. System installation was problematic (See bug report 125995)
2. After successful install, cannot successfully boot the system.

Note: During bootup the following message appears:

"agpgart: Detected an Intel i815 chipset but could not find the
   secondary device."

Red Hat Linux versions 7.2, 8.0 and 9.0 previously ran on the same
   machine on a multibooted hard drive (hdb) without incident.

Red Hat Linux 9.0 and Red Hat Enterprise Linux 3.0 run on a near
   identical machine with only RHEL occasionally exhibiting a
   similar problem.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core on a Dell 4100.
2. Attempt initial bootup after installation
3.
    

Actual Results:  System bootup hangs at "Checking for new hardware".

Expected Results:  The system should check for new hardware, configure
new hardware if
found and continue to a successfull system start.

Additional info:
Comment 1 josip 2004-08-13 07:08:48 EDT
I see the same bug with the latest FC2 kernel-2.6.7-1.494.2.2, as well
as all FC2 kernel updates released until 8/12/2004.

HOWEVER: On my system (P4/2.8, Asus MB with 850 chipset, various
goodies), the original FC2 kernel-2.6.5-1.358 works fine without hangs
during hardware check.  This is a software bug introduced in
subsequent kernels.

Please change this to a high priority / high severity bug.

Comment 2 josip 2004-08-13 07:40:14 EDT
In my case, this bug is a duplicate of bug 125943.  This bug is due to
a flaw in FireWire drivers.  Removing the ieee1394 modules works
around the bug, but disables FireWire ports.
Comment 3 Dave Jones 2005-04-16 00:32:52 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.